unit DebugU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin;

type
  TF_Debug = class(TForm)
    M_Debug: TMemo;
    Panel1: TPanel;
    B_Clear: TButton;
    B_Close: TButton;
    C_A: TCheckBox;
    C_D: TCheckBox;
    C_E: TCheckBox;
    C_F: TCheckBox;
    C_G: TCheckBox;
    C_H: TCheckBox;
    C_Q: TCheckBox;
    C_X: TCheckBox;
    C_B: TCheckBox;
    C_I: TCheckBox;
    C_C: TCheckBox;
    C_J: TCheckBox;
    C_K: TCheckBox;
    C_L: TCheckBox;
    C_M: TCheckBox;
    C_Z: TCheckBox;
    B_Help: TButton;
    Label1: TLabel;
    S_Min: TSpinEdit;
    C_O: TCheckBox;
    C_N: TCheckBox;
    procedure B_CloseClick(Sender: TObject);
    procedure B_ClearClick(Sender: TObject);
    procedure C_Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure B_HelpClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_Debug: TF_Debug;
  S_Debug : String;

implementation

{$R *.DFM}

procedure TF_Debug.FormCreate(Sender: TObject);
begin
  S_Debug := 'ABCDEFGHIJKLMNOQXZabcdefghijklmnoqxz?';
end;

procedure TF_Debug.C_Click(Sender: TObject);
var
  C, CC, S1, S2 : string;
  P : integer;
begin
  CC := (Sender as TCheckBox).Caption;
  C := lowercase(CC);
  if (Sender as TCheckBox).checked  then S_Debug := S_Debug + C + CC
  else
  begin
    P := pos(C, S_Debug);
    S1 := copy(S_Debug, 1, P - 1);
    S2 := copy(S_Debug, P + 1, Length(S_Debug) - P);
    S_Debug := S1 + S2;
    P := pos(CC, S_Debug);
    S1 := copy(S_Debug, 1, P - 1);
    S2 := copy(S_Debug, P + 1, Length(S_Debug) - P);
    S_Debug := S1 + S2;
  end;
end;

procedure TF_Debug.B_ClearClick(Sender: TObject);
begin
  M_Debug.Clear;
end;

procedure TF_Debug.B_CloseClick(Sender: TObject);
begin
  Close;
end;

procedure TF_Debug.B_HelpClick(Sender: TObject);
begin
  if C_A.Checked then M_Debug.Lines.Add('A: chain of two elements');
  if C_B.Checked then M_Debug.Lines.Add('B: LLL[len] - LLL[len] < 3');
  if C_C.Checked then M_Debug.Lines.Add('C: LLL[i] + LLL[j] = LLL[len]');
  if C_D.Checked then M_Debug.Lines.Add('D: ');
  if C_E.Checked then M_Debug.Lines.Add('E: ');
  if C_F.Checked then M_Debug.Lines.Add('F: THIS TABEL IS NOT READY...');
  if C_G.Checked then M_Debug.Lines.Add('G: ');
  if C_H.Checked then M_Debug.Lines.Add('H: ');
  if C_I.Checked then M_Debug.Lines.Add('I: ');
  if C_J.Checked then M_Debug.Lines.Add('J: ');
  if C_K.Checked then M_Debug.Lines.Add('K: ');
  if C_L.Checked then M_Debug.Lines.Add('L: ');
  if C_M.Checked then M_Debug.Lines.Add('M: ');
  if C_Q.Checked then M_Debug.Lines.Add('Q: ');
  if C_X.Checked then M_Debug.Lines.Add('X: ');
  if C_Z.Checked then M_Debug.Lines.Add('Z: ');
end;

end.
